## org.mortbay.terracotta.servlet
Class TerracottaSessionManager.Lock

    java.lang.Object
      org.mortbay.terracotta.servlet.TerracottaSessionManager.Lock

Enclosing class:
  TerracottaSessionManager

    protected static class TerracottaSessionManager.Lock

extends java.lang.Object

Method Summary
`protected static java.util.Map<java.lang.String,java.lang.Integer>` `getLocks()` For testing and debugging purposes only.
`static void` `lock(java.lang.String lockId)`
`static boolean` `tryLock(java.lang.String lockId)`
`static void` `unlock(java.lang.String lockId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### lock

    public static void lock(java.lang.String lockId)

### tryLock

    public static boolean tryLock(java.lang.String lockId)

### unlock

    public static void unlock(java.lang.String lockId)

### getLocks

    protected static java.util.Map<java.lang.String,java.lang.Integer> getLocks()

  For testing and debugging purposes only.

  Returns:
    the lock ids held by the current thread

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.